Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for smooth touchpad scrolling

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 22 Aug 2022 18:03:17 +0200

Alexander Huntley <[email-masked]> writes:

> When using a laptop touchpad, native GTK applications use continuous
> scroll events to give much smoother scrolling, whereas Emacs simply
> emulates the discrete scrolling events of a mouse scroll wheel. This
> makes touchpad scrolling under Emacs feel much less natural than many
> other Linux applications.
>
> Would it be possible to expose these events to elisp and hence get nice
> pixel-perfect scrolling in Emacs?

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

There's been a great deal of work done in this area over the last few
months -- perhaps you could try the current "master" branch of Emacs and
see whether things work well for you there?